Results 1 to 6 of 6

Thread: GPG Error on apt-get update

  1. #1
    Join Date
    Mar 2012
    Beans
    18

    GPG Error on apt-get update

    I am getting the following error when doing sudo apt-get update

    Code:
    W: GPG error: http://ppa.launchpad.net saucy Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4DF9B28CA252A784
    W: GPG error: http://ppa.launchpad.net saucy Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C2518248EEA14886
    I've tried importing keys, but get a timeout error every time.

    Any suggestions?
    Last edited by johnnydoe; December 22nd, 2013 at 02:45 AM.

  2. #2
    Join Date
    Nov 2010
    Location
    India
    Beans
    4,827
    Distro
    Ubuntu Development Release

    Re: GPG Error on apt-get update

    From Old : http://ubuntuforums.org/archive/inde...t-2017180.html Look at Matt post over there.

    He got the good shot.
    Raja

    రాజ శేఖర్ రెడ్డి

  3. #3
    Join Date
    Mar 2012
    Beans
    18

    Re: GPG Error on apt-get update

    I tried Matt's suggestion:

    Code:
    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 4DF9B28CA252A784
    It timed out and I don't know all of the mirrors to try...I did try the .mit mirror and it was unsuccessful.

    I then tried the suggestion mentioned further down on that page:

    Code:
    $ sudo -i
    
        # apt-get clean
    
        # cd /var/lib/apt
    
        # mv lists lists.old
    
        # mkdir -p lists/partial
    
        # apt-get clean
    
        # apt-get update
    I got the same error as mentioned in my original post.
    Last edited by johnnydoe; December 22nd, 2013 at 07:54 AM.

  4. #4
    Join Date
    Mar 2012
    Beans
    18

    Re: GPG Error on apt-get update

    i am still unsure as how to solve this problem.

    Thanks for your support.

  5. #5
    Join Date
    Jan 2009
    Location
    Santander, Spain
    Beans
    1,651
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: GPG Error on apt-get update

    Here, http://askubuntu.com/questions/13065...rror-no-pubkey, you have a link, propossing various workarounds to import public key for ppa.

    I think answer 23 can help you to fix your problem.

  6. #6
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: GPG Error on apt-get update

    Code:
    sudo apt-key adv --keyserver hkp://subkeys.pgp.net --recv-keys 4DF9B28CA252A784
    
    sudo apt-key adv --keyserver hkp://subkeys.pgp.net --recv-keys C2518248EEA14886

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •